Subject: bug#2549: 23.0.60; doc-view: scrolling other window wraps unexpectedly

From: Tassilo Horn <[email-masked]>
Date: Tue, 03 Mar 2009 13:00:55 +0100

Markus Triska <[email-masked]> writes:

Hi Markus,

> With p.ps from:
>
>    http://www.logic.at/prolog/p.ps
>
> when I do:
>
>    $ emacs -Q p.ps
>
> and press:
>
>    C-c C-c C-x 2
>
> and then press C-M-v repeatedly, the other window eventually wraps
> around instead of stopping at the image border like C-v does.

That's because `scroll-other-window' calls scroll-up/down in the other
window, but if the other window contains an doc-view buffer it should
ideally call image-scroll-up/down.

The only good solution I see is to define buffer local variables
`scroll-up-function' and `scroll-down-function' which are used by
`scroll-up' and `scroll-down' and then binding them appropriate in each
mode.

Anyway, that's not really related to doc-view.  All non-text modes are
pertained here.  Comments?

Bye,
Tassilo